AddCSLuaFile( "cl_init.lua" )
AddCSLuaFile( "shared.lua" )
include('shared.lua')

function ENT:Initialize()
	
	self.Entity:SetModel( "models/weapons/w_eq_fraggrenade_thrown.mdl" );
	self.Entity:PhysicsInit( SOLID_VPHYSICS );
	self.Entity:SetMoveType( MOVETYPE_VPHYSICS );
	self.Entity:SetSolid( SOLID_VPHYSICS );
	
	timer.Simple( 3, function()
		
		local exp = ents.Create( "env_explosion" );
			exp:SetPos( self.Entity:GetPos() );
			exp:SetKeyValue( "iMagnitude", 100 );
			exp:Spawn();
			exp:Fire( "Explode", "", 0 );
			
		self:Remove();
		
		timer.Simple( 1, function() exp:Remove() end );
		
	end );

end
